%define upstream_name    Module-Manifest-Skip
%define upstream_version 0.17

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    MANIFEST.SKIP Manangement for Modules
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Module/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(Moo) >= 0.91.13
BuildArch:  noarch

%description
*NOTE:* This module is mostly intended for module packaging frameworks to
share a common, up-to-date 'MANIFEST.SKIP' base. For example,
Module::Install::ManifestSkip, uses this module to get the actual SKIP
content. However this module may be useful for any module author.

CPAN module authors use a MANIFEST.SKIP file to exclude certain well known
files from getting put into a generated MANIFEST file, which would cause
them to go into the final distribution package.

The packaging tools try to automatically skip things for you, but if you
add one of your own entries, you have to add all the common ones yourself.
This module attempts to make all of this boring process as simple and
reliable as possible.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.170.0-2.mga3
+ Revision: 369916
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Aug 06 2012 shlomif <shlomif> 0.170.0-1.mga3
+ Revision: 279448
- update to 0.17

* Fri Dec 16 2011 shlomif <shlomif> 0.160.0-1.mga2
+ Revision: 182781
- imported package perl-Module-Manifest-Skip

